# Create a custom field Create a custom field Endpoint: POST /v1/fields Version: 1.0.0-beta Security: OAuth2 ## Header parameters: - `Idempotency-Key` (string, required) Idempotency key for this request. ## Request fields (application/json): - `name` (string, required) The name of the field - `group` (string, required) The category of the field, indicating its purpose or context. For example, it could belong to accounting-related fields or user-related fields. Enum: "ACCOUNTING", "USER", "ERP" - `remote_id` (string,null) Remote/external ID of custom field from external system (e.g. ERP or HRIS system) Example: "foo_bar" - `integration_id` (string,null) Integration ID to associate this field with a specific integration Example: "int_123" - `is_disabled` (boolean,null) Indicates if the field is disabled ## Response 200 fields (application/json): - `brex_id` (string, required) The internal Brex ID of the field Example: "extended_field_foobar" - `name` (string,null, required) The name of the field - `remote_id` (string,null) Remote/external ID of custom field from external system (e.g. ERP or HRIS system) Example: "foo_bar" - `updated_at` (string, required) The last updated timestamp of the field - `is_disabled` (boolean, required) Indicates if the field is disabled - `group` (string,null) The category of the field, indicating its purpose or context. For example, it could belong to accounting-related fields or user-related fields. Enum: "ACCOUNTING", "USER", "ERP" ## Response 400 fields ## Response 401 fields ## Response 403 fields ## Response 404 fields ## Response 500 fields